/* Copyright (c) 2012, 2013, 2014 BlackBerry Limited.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import bb.cascades 1.3

// This is the speech bubble with the quote and the name underneath it.

Container {
    id: quoteBubble
    property bool editMode: false
    property bool enableSave: false
    property string firstName: "John"
    property string lastName: "Doe"
    property string obrazek: "asset:///listimages/ScheduledPays.png"
    property alias pendingFirstName: editName.firstName
    property alias pendingLastName: editName.lastName
    property alias pendingZneni: editName.azneni
    property alias pendingObrazek: editName.aobrazek
    property string quoteText: "text"
    property string aktivni: "asset:///listimages/Cell-Red.png"
    property string jednotky: " "
    property int pocet: 1
    property alias pendingAktivni: editName.aaktivni;
    property alias pendingJednotky: editName.ajednotky;
    property alias pendingPocet: editName.apocet
    
      
    horizontalAlignment: HorizontalAlignment.Center

    // The name of the person who wrote/said the quote
        Label {
            id: longText
            
            enabled: enableSave
            visible: !quoteBubble.editMode
            text: quoteBubble.firstName;
            horizontalAlignment: HorizontalAlignment.Center
            textStyle.fontWeight: FontWeight.Bold
        }
        Divider {
        
        }
        ImageView {
            id: obrazekD
            preferredWidth: 200.0
            preferredHeight: 200.0
            imageSource: obrazek
            visible: !quoteBubble.editMode
        horizontalAlignment: HorizontalAlignment.Center

    }
        
        Divider {

        }
        Label {
            id: nameLabel
            visible: ! quoteBubble.editMode

            // The person behind the quote who's first and last name are data bound in C++.
            text: quoteBubble.lastName + ":"
            
        horizontalAlignment: HorizontalAlignment.Center
    }
        
    Label {
        id: textLabel
        visible: ! quoteBubble.editMode
        
        // The person behind the quote who's first and last name are data bound in C++.
        text: quoteBubble.quoteText
        
        horizontalAlignment: HorizontalAlignment.Center
        multiline: true
    }
        // Edit mode for name
        EditName {
            id: editName
            visible: quoteBubble.editMode
            firstName: quoteBubble.firstName
            lastName: quoteBubble.lastName
            aobrazek: quoteBubble.obrazek
            azneni: quoteBubble.quoteText
            aaktivni: quoteBubble.aktivni
            ajednotky: quoteBubble.jednotky
            apocet: quoteBubble.pocet
            onEnableSave: {
                // A last name has to be entered disable buttons and text areas as long as the length is zero.
                quoteBubble.enableSave = enable;
            }
        } // EditName
        
 
}// Main Container
